# Hashnode Matrix UI

Tailwind based react component library for Hashnode

## Usage

pnpm add @hashnode/matrix-ui

### In a project with tailwind

If you are consuming in an app that uses tailwind then add the component files to your tailwind config like

```js
  content: [
    // ... other content configuration

    "./node_modules/@hashnode/matrix-ui/dist/*.{js,ts,jsx,tsx,mdx}",
  ],

```

Adjust the path accordingly to point to the correct `node_modules` folder if using in a monorepo.

### In a project without tailwind

Include the generated styles from `@hashnode/matrix-ui/dist/style.min.css`
